c mean_sigma.f
c Calculate mean and sigma for an array.
c Miroslav Broz (miroslav.broz@email.cz), Nov 24th 2010

      subroutine mean_sigma(x,n,mean,sigma)

      integer n
      real*8 x(n),mean,sigma

      integer i
      real*8 sum

      if (n.eq.0) then
        mean = 0.d0
        sigma = 0.d0
        return
      endif

      if (n.eq.1) then
        mean = x(1)
        sigma = 0.d0
        return
      endif

      sum = 0.d0
      do i = 1, n
        sum = sum + x(i)
      enddo
      mean = sum/n

      sum = 0.d0
      do i = 1, n
        sum = sum + (x(i)-mean)**2
      enddo
      sigma = sqrt(sum/(n-1))

      return
      end


